import request from "@/utils/request.js";

// 推送播报
export function cancelPaymentSoundAPI(data) {
	return request.get('MiniProgram/Order/cancelPaymentSound', data);
}

// 取消发声
export function cancelPay(data) {
	return request.post('/api/gzh/cancelPay', data);
}

// 获取商户信息
export function getMerchantAPI(data) {
	return request.get('MiniProgram/Api/getMerchant', data);
}

// 获取用户信息
export function userInfoAPI(data) {
	return request.get('MiniProgram/Api/userInfo', data);
}

// 支付
export function createScanOrderAPI(data) {
	return request.get('MiniProgram/Api/submitOrder', data);
}

// 发送验证码
export function sendSmsAPI(data) {
	return request.get('MiniProgram/Api/sendSms', data);
}

// 绑定手机号
export function bindPhoneAPI(data) {
	return request.get('MiniProgram/Api/bindPhone', data);
}

// 商户端支付
export function againPayAPI(data) {
	return request.get('client/mall/againPay', data);
}

// 订单详情?
export function orderDetailAPI(data) {
	return request.get('MiniProgram/Api/orderDetail', data);
}

// code查店铺
export function getMerchantInfoByCode(data) {
	return request.post('/api/gzh/getMerchantInfoByCode', data);
}

// id查店铺
export function getMerchantInfo(data) {
	return request.post('/api/gzh/getMerchantInfo', data);
}

// 下单 1
export function doOrder(data) {
	return request.post('/api/merchant/doOrder', data);
}

// 下单 0 
export function dogzhOrder(data) {
	return request.post('/api/gzh/doOrder', data);
}

// 券 1
export function computedOrder(data) {
	return request.post('/api/merchant/computedOrder', data);
}


// 券 0
export function gzhcomputedOrder(data) {
	return request.post('/api/gzh/computedOrder', data);
}

// 支付宝订单号查询 1
export function getOfflineOrderDetail(data) {
	return request.post('/api/merchant/getOfflineOrderDetail', data);
}

// 支付宝订单号查询 0
export function getgzhlineOrderDetail(data) {
	return request.post('/api/gzh/getOfflineOrderDetail', data);
}





// 苗迈云逻辑
// 订单详情
export function preDetail(data) {
	return request.post('/api/mmy/api/pre_detail', data);
}

export function prePay(data) {
	return request.post('/api/mmy/api/pre_pay', data);
}
